RagTimeTextInternal::TextZone Struct Reference

Internal: a text's zone of a RagTimeText. More...

## Public Member Functions

| TextZone ()
| constructor

## Public Attributes

MWAWEntry | m_textPos
| the text zone
std::vector< long > | m_fontPosList
| the beginning of character properties in the text zone
std::vector< MWAWFont > | m_fontList
| the list of character's properties
std::vector< long > | m_paragraphPosList
| the beginning of paragraph properties in the text zone
std::vector< MWAWParagraph > | m_paragraphList
| the list of paragraph's properties
std::vector< Token > | m_tokenList
| the list of tokens
bool | m_isSent
| true if the zone is sent to the listener

## Detailed Description

Internal: a text's zone of a RagTimeText.

## Constructor & Destructor Documentation

## TextZone()

RagTimeTextInternal::TextZone::TextZone | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_fontList

std::vector<MWAWFont> RagTimeTextInternal::TextZone::m_fontList

the list of character's properties

Referenced by RagTimeText::readFonts(), RagTimeText::send(), and TextZone().

## m_fontPosList

std::vector<long> RagTimeTextInternal::TextZone::m_fontPosList

the beginning of character properties in the text zone

Referenced by RagTimeText::readFonts(), RagTimeText::send(), and TextZone().

## m_isSent

bool RagTimeTextInternal::TextZone::m_isSent

mutable

true if the zone is sent to the listener

Referenced by RagTimeText::flushExtra(), RagTimeText::send(), and TextZone().

## m_paragraphList

std::vector<MWAWParagraph> RagTimeTextInternal::TextZone::m_paragraphList

the list of paragraph's properties

Referenced by RagTimeText::readParagraphs(), RagTimeText::send(), and TextZone().

## m_paragraphPosList

std::vector<long> RagTimeTextInternal::TextZone::m_paragraphPosList

the beginning of paragraph properties in the text zone

Referenced by RagTimeText::readParagraphs(), RagTimeText::send(), and TextZone().

## m_textPos

MWAWEntry RagTimeTextInternal::TextZone::m_textPos

the text zone

Referenced by RagTimeText::send(), and TextZone().

## m_tokenList

std::vector<Token> RagTimeTextInternal::TextZone::m_tokenList

the list of tokens

Referenced by RagTimeText::readTokens(), RagTimeText::send(), and TextZone().

The documentation for this struct was generated from the following file:

- RagTimeText.cxx